clc;clear

%% Script to compute the area under the curve (AUC) of the gamma power for each trial

% Scirpt to compute the AUC of the gamma power for every trial and every
% subject. ALIGNMENT TO THE 2nd TILE

frequency_band = 'gamma';
subjects = [1:4]; % select subject number

savefolder = ['P03_AUC_tile_2/' frequency_band '/']
mkdir(savefolder)


for n_subject = subjects
    
    n_sub = string(n_subject);
    savefile = fullfile(savefolder,'data_subject_'+n_sub+'.mat');

    base_sec = 0.4; 
    after_match_sec = 1; 

    load(fullfile('P00_data_behavior','b_data_subject_'+n_sub+'.mat'));
    load(fullfile('P01_TFD_chronux_tile_2',frequency_band,'P01_subject_'+n_sub+'.mat'));

    t_plot = t_plot_save;
    inter_1img_2img = b_data(6).x;

    %%

    n_channels = length(P01_power);
    mean_rt = mean(inter_1img_2img);

    %%
    l = 1;
    i_ch = 1;
    X_data = struct;

    % for each channel
    for i_channel = 1:length(P01_power)

        % take only good channels
        if ~isempty(P01_power{i_channel})

            % name of this  brain region
            region_name = string(data_loc{i_channel});
            %region_name ='noregion';
            name_split = split(region_name, '-');
            if name_split(1) == "ctx"
                region_name = name_split(end);
            elseif name_split(1) == "Right" | name_split(1) == "Left"
                region_name = join(name_split(2:end), "-");
            else
                region_name = region_name;
            end

            % save region name, i_channel and label;
            X_data(i_ch).region_name = region_name;
            X_data(i_ch).n_ch = i_channel;
            remove1 = P01_art{i_channel};
            X_data(i_ch).artifacts = remove1;

            % take power
            power = P01_power{i_channel};
            inter_1img_2img_iChannel = inter_1img_2img; inter_1img_2img_iChannel(remove1) = [];

            [~,compare_start] = min(abs(t_plot-0)); 
            [~,compare_end] = min(abs(t_plot-1));
            t_plot_n = t_plot(compare_start:compare_end);

    %         means = [];
    %         maxs = [];
    %         stds = [];
             aucs = []; % not valid for different time windows!

            % for power
            for n_rt=1:length(inter_1img_2img)
                rt = inter_1img_2img(n_rt);
                power_trial = squeeze(power(:, :, n_rt));
                power_trial = mean(power_trial'); % average over frequency
    %             means = [means, mean(power_trial(compare_start:compare_end))];
    %             maxs = [maxs, max(power_trial(compare_start:compare_end))];
    %             stds = [stds, std(power_trial(compare_start:compare_end))];
                aucs = [aucs, trapz(power_trial(compare_start:compare_end))];
            end
    % 
    %         X_data(i_ch).mean = means';
    %         X_data(i_ch).max = maxs';
    %         X_data(i_ch).std = stds';
            X_data(i_ch).auc = aucs';

            i_ch = i_ch+1;

        end

    end

    %%
    save(savefile,'X_data');
    
end

