function [p_model_match, tstat_match, p_model_mismatch, tstat_mismatch, X, ma, mi, board_sizes, matches] = lm_boardsize_behavior_interaction(b_data_subjects, remove1, feature, tile, remove_zeros,use_sqrt)
    n_subjects = length(b_data_subjects);
    matches = [];
    board_sizes = [];
    predictors = [];

    % create data
    for n_sub=1:n_subjects
        % take
        match = b_data_subjects(n_sub).('matched');
        predictor = b_data_subjects(n_sub).(feature);
        if length(match) < length(predictor)
            predictor = predictor(tile:2:end);
        end
        board = b_data_subjects(n_sub).('board_size');
        board = board(tile:2:end);

        % remove 0s, outliers, etc..
        if remove_zeros
            idx_out = find(predictor == 0);
            remove1{n_sub} = union(remove1{n_sub}, idx_out');
        end

        match(remove1{n_sub}) = []; 
        predictor(remove1{n_sub}) = []; 
        board(remove1{n_sub}) = [];

        % concat
        matches = [matches, match];
        predictors = [predictors, predictor];
        board_sizes = [board_sizes, board];
    end

    if use_sqrt
        board_sizes = sqrt(board_sizes);
    end
    
    ma = zeros(size(board_sizes));
    ma(matches == 1) = 1;
    mi = zeros(size(board_sizes));
    mi(matches == 0) = 1;
    
    X = [board_sizes.*ma;  board_sizes.*mi]';
    
    mdl = fitlm(X, predictors);
    p_model_match = coefTest(mdl);
    p_values = mdl.Coefficients.pValue; 
    p_model_match = p_values(2); p_model_mismatch = p_values(3);
    tstats = mdl.Coefficients.tStat; 
    tstat_match = tstats(2); tstat_mismatch = tstats(3);

end