function [p1, c1] = plot_compare_auc_derivative(n_fig, f1, f2,t_plot, name_1, name_2)
    figure(n_fig)
    pointsize = 40;      %adjust as needed
    numpoints = length(f1)
    %pointidx = 1 : numpoints;
    pointidx = t_plot;
    s = scatter(f1, f2,pointsize, pointidx,'filled')
    colormap( jet(numpoints) )
    colorbar

    c = polyfit(f1,f2,1);
    c1 = c(1);
    mdl = fitlm(f1,f2);
    p = mdl.Coefficients.pValue;p = p(2);
    p1 = p;
    if p <= 0.001
        p = "p<0.001";
    else
        p = sprintf(['p=%s'], string(p))
    end
    y_est = polyval(c,f1);
    hold on
    plot(f1,y_est,'k-','LineWidth',1.5)
    lg1 = sprintf(['n=%s'], string(length(y_est)));
    lg2 = p;
    %location_legend = "northwest";
    %lgd = legend(lg1,lg2,'Location',location_legend,'FontName','Arial');
    lgd = legend(lg1,lg2,'FontName','Arial');
    lgd.FontSize = 24;
    ax = gca;
    ax.FontSize = 24;
    set(gca,'fontsize', 24,'TickDir','out','box','off')
    mins = min([f1,f2]);
    maxs = max([f1,f2]);
    minimum1 = mins(1);
    maximum1 = maxs(1);
    minimum2 = mins(2);
    maximum2 = maxs(2);
    s3 = line([0, 0], [minimum2, maximum2],'color','k','linestyle','--')
    s4 = line([minimum1, maximum1], [0,0],'color','k','linestyle','--')
    s3.Annotation.LegendInformation.IconDisplayStyle = 'off';
    s4.Annotation.LegendInformation.IconDisplayStyle = 'off';
    xlim([minimum1-0.01, maximum1+0.01])
    ylim([minimum2-0.01, maximum2+0.01])

    xlabel(name_1)
    ylabel(name_2)
    
    [c, p] = corrcoef(f1, f2);
    p1 = p(1,2); c1 = c(1,2);
end
 